const LocalStorage = {
	get: function (key) {
		if (typeof window === 'object' && window.localStorage && window.localStorage[key]) {
			return JSON.parse(window.localStorage[key]);
		}

		return false;
	},

	clear: function (key) {
		if (typeof window === 'object' && window.localStorage && window.localStorage[key]) {
			window.localStorage.removeItem(key);
		}
	},

	set: function (key, value) {
		if (typeof window === 'object' && window.localStorage) {
			window.localStorage.setItem(key, JSON.stringify(value));
		}

		return false;
	},

};

export default LocalStorage;
