import axios from 'axios';
import getHeaders from '../../services/headersService';


const fetchColorsDataRequest = () => ({
  type: 'FETCH_COLORS_DATA_REQUEST',
});

const fetchColorsDataSuccess = (data) => ({
  type: 'FETCH_COLORS_DATA_SUCCESS',
  payload: data,
});

const fetchColorsDataFailure = (error) => ({
  type: 'FETCH_COLORS_DATA_FAILURE',
  payload: error,
});


export const fetchColorsAPIData = (urls) => {
  return async (dispatch) => {
      try {
          dispatch(fetchColorsDataRequest());
          let config = {
            method: 'post',
            maxBodyLength: Infinity,
            url: urls,
            headers: getHeaders()
          };
          const response = await axios.request(config);
          dispatch(fetchColorsDataSuccess(response.data.data));
      } catch (error) {
        dispatch(fetchColorsDataFailure(error.message));
      }
  };
};
