import axios from 'axios';
import getHeaders from '../../services/headersService';


const fetchColorOptionsDataRequest = () => ({
  type: 'FETCH_COLOR_OPTIONS_DATA_REQUEST',
});

const fetchColorOptionsDataSuccess = (data) => ({
  type: 'FETCH_COLOR_OPTIONS_DATA_SUCCESS',
  payload: data,
});

const fetchColorOptionsDataFailure = (error) => ({
  type: 'FETCH_COLOR_OPTIONS_DATA_FAILURE',
  payload: error,
});


export const fetchColorOptionsAPIData = (urls) => {
  return async (dispatch) => {
      try {
          dispatch(fetchColorOptionsDataRequest());
          let config = {
            method: 'post',
            maxBodyLength: Infinity,
            url: urls,
            headers: getHeaders()
          };
          const response = await axios.request(config);
          dispatch(fetchColorOptionsDataSuccess(response.data.data));
      } catch (error) {
          dispatch(fetchColorOptionsDataFailure(error.message));
      }
  };
};
