const initialState = {
    colorOptionsData: [],
    loading: false,
    error: null,
  };
  
  const rootColorOptionsAPIReducer = (state = initialState, action) => {
    switch (action.type) {
      case 'FETCH_COLOR_OPTIONS_DATA_REQUEST':
        return {
          ...state,
          loading: true,
          error: null,
        };
  
      case 'FETCH_COLOR_OPTIONS_DATA_SUCCESS':
        return {
          ...state,
          loading: false,
          colorOptionsData: action.payload,
        };
  
      case 'FETCH_COLOR_OPTIONS_DATA_FAILURE':
        return {
          ...state,
          loading: false,
          error: action.payload,
        };
  
      default:
        return state;
    }
  };
  
  export default rootColorOptionsAPIReducer;
  