// reducers.js
// const testData1 = require('../../products.json');

const initialState = {
    products: [],
    loading: false,
    error: null,
  };
  
  const rootProductsAPIReducer = (state = initialState, action) => {

    switch (action.type) {
      case 'FETCH_PRODUCTS_DATA_REQUEST':
        return {
          ...state,
          loading: true,
          error: null,
        };
  
      case 'FETCH_PRODUCTS_DATA_SUCCESS':
        return {
          ...state,
          loading: false,
          products: action.payload,
        };
  
      case 'FETCH_PRODUCTS_DATA_FAILURE':
        return {
          ...state,
          loading: false,
          error: action.payload,
        };
  
      default:
        return state;
    }
  };
  
  export default rootProductsAPIReducer;
  